import typescript from 'typescript';
export declare class Resolver {
    #private;
    constructor(ts: typeof typescript, compilerOptions: typescript.CompilerOptions, alias?: Record<string, string>);
    resolve(moduleName: string, sourceFileName: string): string | undefined;
    private resolveModule;
    isESM(sourceFileDir: string): boolean;
    private findNearestPackageJson;
}
