import typescript from 'typescript';
import { BaseParseResult, Processor } from './processor';
interface ParseResult extends BaseParseResult {
    node: typescript.CallExpression;
}
/**
 * Processor for `import('module').then()`
 */
export declare class AsyncImportProcessor extends Processor {
    parse(node: typescript.Node): {
        node: typescript.CallExpression;
        moduleName: string;
    } | undefined;
    updateModuleName(moduleName: string, { node }: ParseResult): typescript.CallExpression;
}
export {};
